Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


is lightroom cc version 4.4 the most updated version? Does this version support the new masking tool

New Here ,
Nov 06, 2021 Nov 06, 2021

Copy link to clipboard

Copied

I am using lightroom cc version 4.4 my computer says that's the most updated version. Is that true? Becasue I've been hearing about the new masking tools that are wonderful but I don't have them. I read somewhere that it's version 5 but it's unclear. Was there not an update for masking with the cc version? Thanks

 

TOPICS
macOS

Views

35

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Adobe Community Professional , Nov 06, 2021 Nov 06, 2021
No, version 4.4 is not the latest version with the new masking tool. Version 5.0 is. What version of MacOS are you using? It's possible that version 4.4 is the latest version that is supported by your version of MacOS.

Likes

Translate

Translate
Adobe Community Professional ,
Nov 06, 2021 Nov 06, 2021

Copy link to clipboard

Copied

No, version 4.4 is not the latest version with the new masking tool. Version 5.0 is. What version of MacOS are you using? It's possible that version 4.4 is the latest version that is supported by your version of MacOS.

 

-- Johan W. Elzenga

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 06, 2021 Nov 06, 2021

Copy link to clipboard

Copied

4.4 is the most up to date version of version 4 - so your computer is correct as far as version 4 goes.

 

However, the new masking tools are in version 5 which you can download via the Creative Cloud desktop app if your operating system and hardware are compatible. 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Nov 06, 2021 Nov 06, 2021

Copy link to clipboard

Copied

LATEST

Thank you. Yes, you were correct. I needed to update my computer. I'm up and running totally up to date masking and all.

 

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines